### Name: beta.special.pcObj
### Title: Compute set of intervention effects in a fast way
### Aliases: beta.special.pcObj
### Keywords: multivariate models graphs

### ** Examples

set.seed(125)
p <- 10
n <- 10000

myDAG <- randomDAG(p, prob = 0.4)

cov.t <- trueCov(myDAG)
pcObj <- pcAlgo.Perfect(cov2cor(cov.t),directed=TRUE)
d.mat <- rmvDAG(n, myDAG, errDist = "normal")
cov.e <- cov(d.mat)
pcObj.est <- pcAlgo(d.mat,alpha=0.01,directed=TRUE)

x.pos <- 1
y.pos <- 5
true.eff <- causalEffect(myDAG,y.pos,x.pos)
est.eff.p <- beta.special.pcObj(x.pos=x.pos,y.pos=y.pos,pcObj=pcObj,mcov=cov.t)
est.eff.e <- beta.special.pcObj(x.pos=x.pos,y.pos=y.pos,pcObj=pcObj.est,mcov=cov.e)

true.eff
est.eff.p
est.eff.e




