###################################################
### chunk number 1: 
###################################################
library(pcalg)
## define parameters
p <- 10 # number of random variables = nodes in the graph
n <- 10000 # number of samples
s <- 0.4 # sparsness of the graph

## generate random data
set.seed(42)
g <- randomDAG(p,s) # generate a random Directed Acyclic Graph
d <- rmvDAG(n,g) # generate random samples from the DAG


###################################################
### chunk number 2: 
###################################################
plot(g) # plot generated DAG


###################################################
### chunk number 3: 
###################################################
gSkel <- pcAlgo(d,alpha=0.05) # estimate of the skeleton
gCor <- corGraph(d,alpha=0.05) # estimate the correlation graph


###################################################
### chunk number 4: 
###################################################
plot(gCor)


###################################################
### chunk number 5: 
###################################################
summary(gSkel)  # shows some facts about the skeleton and the 
  # process of finding it


###################################################
### chunk number 6: 
###################################################
plot(gSkel)


###################################################
### chunk number 7: 
###################################################
plot(gSkel, zvalue.lwd=TRUE)


###################################################
### chunk number 8: 
###################################################
compareGraphs(gSkel@graph,g)


